package cn.com.origin.autocode.xmlutil;

/** 
 * @copyRight 浙江康勒科技有限公司
 * @author    作者 E-mail:hub@connor.net.cn 
 * @date      创建时间：2017-7-2 下午6:57:03 
 * @version   v1.0 
 * @parameter  
 * @since  
 * @return  
 */

import java.util.List;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;

public class CNPart {
	String type; // 类型

	List<CNCompontent> compontentList; //

	
	
	
	
	
	public CNPart() {
	}

	public CNPart(String type, List<CNCompontent> compontentList) {
		this.type = type;
		this.compontentList = compontentList;
	}

	@XmlAttribute(name = "type")
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@XmlElement(name = "compontent")
	public List<CNCompontent> getCompontentList() {
		return compontentList;
	}

	public void setCompontentList(List<CNCompontent> compontentList) {
		this.compontentList = compontentList;
	}

}
